For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The PaymentTerm object
          • GET/payment-terms
          • GET/payment-terms/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsPayment Terms

/payment-terms

Beta
GET
/accounting/v1/payment-terms
GET
/api/accounting/v1/payment-terms
$curl -G https://api.merge.dev/api/accounting/v1/payment-terms \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> -d expand=company
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "name": "Net 30",
7 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
8 "remote_id": "088899",
9 "created_at": "2021-09-15T00:00:00Z",
10 "modified_at": "2021-10-16T00:00:00Z",
11 "is_active": true,
12 "company": "d2f972d0-2526-434b-9409-4c3b468e08f0",
13 "days_until_due": 30,
14 "discount_days": 15,
15 "remote_last_modified_at": "2024-10-16T00:00:00Z",
16 "field_mappings": {
17 "organization_defined_targets": {
18 "custom_key": "custom_value"
19 },
20 "linked_account_defined_targets": {
21 "custom_key": "custom_value"
22 }
23 },
24 "remote_data": [
25 {
26 "path": "/actions",
27 "data": null
28 }
29 ]
30 }
31 ]
32}

Returns a list of PaymentTerm objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The PaymentTerm object

Next

/payment-terms/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects